<?php
if (!defined('HUCART_COM')) exit('HuCart.COM No direct script access allowed');
class Video extends HC_Controller
{
	//注意无须构造函数,使用了构造函数得重构父类 parent::__construct();
	var $master_act = 'video';
	var $info_prefix = 'vid_';
	function __construct()
	{
		parent::__construct();	
		$this -> load_lang('adminsys/'.$this -> master_act);
		$this -> view -> assign('master_act', $this -> master_act);
		$this -> view -> assign('info_prefix',	$this -> info_prefix);
		$this -> load('admin');
		$this -> admin -> online_admin();
		$this -> load_db();
		$this -> load('helper');     //加载辅助类
		$this -> load_model('sort'); //加载分类模型
	}


	function info_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( vid_title LIKE  '%".$keyword."%' )";  
		}

		$table_arr['order_by']  = 'vid_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'vid_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		$show_arr = array('vid_id' => array('th'=>1,'td'=>'id'),'vid_title'=> array('th'=>0,'td'=>''),'vid_img'=> array('th'=>0,'td'=>'img'),'sort_name'=> array('th'=>1,'td'=>''),'vid_view'=> array('th'=>1,'td'=>''),'vid_count'=>array('th'=>1,'td'=>''),'vid_enabled'=>array('th'=>1,'td'=>'arr'),'vid_up_time'=>array('th'=>1,'td'=>'time'));
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'vid_sort';
		$table_arr['left']['on']		= $this -> db -> prefix.'video.sort_id = '.$this -> db -> prefix.'vid_sort.sort_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'vid_delete =0';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['vid_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'item_list'=> $this->lang['item_list'], 'edit'=> $this->lang['edit'], 'recycle'=> $this->lang['recycle'] );

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr , $this -> master_act ,$opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);

		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		
		$this -> view -> assign('td_rows',		$td_rows);
		
		$this -> view -> display('table_list.tpl');


	}
	
	
	
	function trash_list(  )
	{
		$keyword 	= $this -> input -> req["keyword"];
		$list_val   = $this -> input -> req["list_val"];
		$list_type  = $this -> input -> req["list_type"];

		$table_arr['where_add'] = '';

		if($keyword!='')
		{ 	
			$table_arr['where_add'] .= " AND ( vid_title LIKE  '%".$keyword."%' )";  
		}
		

		$table_arr['order_by']  = 'vid_id';
		if($list_val!='' and $list_type =='DESC' )
		{
			$table_arr['order_by'] = $list_val ."  DESC ";
		}elseif($list_val!='' and $list_type =='ASC')
		{
			$table_arr['order_by'] = $list_val." ASC";
		}else{
			$table_arr['order_by'] =  'vid_id';
		}

		$this -> load('page',$this->lang['page']);

		//列表字段显示
		//列表字段显示
		$show_arr = array('vid_id' => array('th'=>1,'td'=>'id'),'vid_title'=> array('th'=>0,'td'=>''),'vid_img'=> array('th'=>0,'td'=>'img'),'sort_name'=> array('th'=>1,'td'=>''),'vid_view'=> array('th'=>1,'td'=>''),'vid_count'=>array('th'=>1,'td'=>''),'vid_enabled'=>array('th'=>1,'td'=>'arr'),'vid_up_time'=>array('th'=>1,'td'=>'time'));
		
		
		$field_show = $this -> helper -> get_th_list( $show_arr , $list_val , $list_type ,  $this->lang['field_list'] );

		$table_arr['table']				= $this -> master_act;
		$table_arr['left']['table'] 	= 'vid_sort';
		$table_arr['left']['on']		= $this -> db -> prefix.'video.sort_id = '.$this -> db -> prefix.'vid_sort.sort_id ';
		
		$table_arr['prefix'] 	= $this -> db -> prefix;
		$table_arr['field_arr'] = array_keys($show_arr);
		$table_arr['def_where'] = 'vid_delete =1';
		$table_arr['group_by']  = '';
		$table_arr['limit_val'] = $this -> page ->get_limit_val();
		
		$re_sql   = $this -> helper -> get_list_sql( $table_arr );

		//var_dump($re_sql);
		
		$info 	  = $this -> db -> select_info( $re_sql['sql_list'] );
		
		$key_arr['vid_enabled'] = $this->lang['enabled_arr'];

		$opt = array( 'restore'=> $this->lang['restore'], 'delete'=> $this->lang['delete']);

		$td_rows  = $this -> helper -> get_td_list( $info , $show_arr ,$key_arr ,$this -> master_act , $opt);
		
		$count 	  = $this -> db -> select_one( $re_sql['sql_count'] );

		$page_str = $this -> page ->get_admin_page( $count["CNUM"] );
		
		$this -> view -> assign('keyword',		$keyword);
		
		$this -> view -> assign('list_val',		$list_val);
		$this -> view -> assign('list_type',	$list_type);
		
		$this -> view -> assign('colspan_val',	count($show_arr)+1);
		$this -> view -> assign('field_show',	$field_show);
		$this -> view -> assign('page_str',		$page_str);
		$this -> view -> assign('td_rows',		$td_rows);
		$this -> view -> display('table_trash.tpl');
		
	}


	function recycle()
	{
		
		$info_id = $infoid = $this -> input ->  get["id"];
		
		$uprec = " UPDATE `".$this -> db -> prefix."video` SET vid_delete = 1  WHERE  `vid_id` in ( $info_id ) ";
		$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');

	}
	
	//还原
	function restore( )
	{
		$infoid = $this -> input ->  delUrl($_REQUEST["id"]);
		
		$uprec = " UPDATE `".$this -> db -> prefix."video` SET vid_delete = 0  WHERE  `vid_id` in ( $infoid ) ";
		@$this -> db -> query_sql($uprec);
		
		$this -> view ->  assign('info_title',$_LANG['bd_restoresusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	

	function delete( )
	{
		$infoid = $this -> input ->  get["id"];
		$insertip = " DELETE FROM `".$this -> db -> prefix."video` WHERE `vid_id` in ( $infoid ) ";

		$this -> db -> query_sql($insertip);
		$this -> view ->  assign('info_title',$this->lang['del_success']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=trash_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function show( )
	{
		$info_id = $this -> input ->  get["id"];
		$upshow = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET vid_enabled = 1  WHERE `vid_id` in ( $info_id ) ";

		$this -> db -> query_sql($upshow);
		$this -> view ->  assign('info_title',$_LANG['bd_showsusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	function hide( )
	{
		//$indel = implode(',', $delArray);
		$info_id = $this -> input ->  get["id"];
		
		$up_hide = " UPDATE `".$this -> db -> prefix.$this -> master_act."` SET vid_enabled = 0  WHERE  `vid_id` in ( $info_id ) ";
		$this -> db -> query_sql($up_hide);
		
		$this -> view ->  assign('info_title',$_LANG['bd_hidesusse']);
		$this -> view ->  assign('URL_TIME',URL_TIME);
		$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
		$this -> view ->  display('suggestion.tpl');
	}
	
	
	function info(  )
	{
		$act_type 	= $this -> input -> get["act_type"];
		
		if($act_type=='edit'){
			
			$id_val = $this -> input ->  get["id"];

			$sql_query = " SELECT *  FROM  ".$this -> db -> prefix.$this -> master_act."  WHERE vid_id = '".$id_val."' ORDER BY `vid_id` ";
			$info = $this -> db -> select_one($sql_query);

			//可选择的一级分类 
			$sort_info 	= $this -> sort_mod -> get_sort('vid_sort','sort_');
			$sort_select_str = $this -> helper -> build_out_str( $sort_info , 'sort_id', 'sort_id' , 'sort_id', 'sort_name', $info['sort_id']  ,$this-> lang['txt_select'] , 'sort_id', 'sort_parent_id',  6 );
			
			$ckeditorLoad 	= $this -> helper -> load_ckeditor( 'vid_desc' ,$info['vid_desc'] );//加载文本编辑器
			$this -> view -> assign( 'ckeditorLoad', $ckeditorLoad );
			
			$this -> view -> assign('txt_title',  $this->lang['edit_title']);
			$this -> view -> assign('edit_submit', $this->lang['edit']);
			$this -> view -> assign('info',$info);
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('sort_select_str',$sort_select_str);
			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=edit");
			
			
		}else{
		    //添加信息
			$sort_info  		= $this -> sort_mod -> get_sort('vid_sort','sort_');
			//生成分类选择控件
			$sort_select_str = $this -> helper -> build_out_str( $sort_info , 'sort_id', 'sort_id' , 'sort_id', 'sort_name', $sort_id  ,$this-> lang['txt_select'] , 'sort_id', 'sort_parent_id',  6 );
			$this -> view -> assign( 'sort_select_str', $sort_select_str);
			
			$ckeditorLoad 	= $this -> helper -> load_ckeditor( 'vid_desc' );//加载文本编辑器
			$this -> view -> assign( 'ckeditorLoad', $ckeditorLoad);

			$this -> view -> assign('act_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=edit_info&act_type=add");
			
			$this -> view -> assign('act_type',$act_type);
			$this -> view -> assign('txt_title',$this->lang['add_title']);
			$this -> view -> assign('edit_submit', $this-> lang['add']);
			
		}

		$this -> view ->  display('video_edit.tpl');
	
	}
	
	
	function edit_info( )
	{	
	
		$vid_idval 		= $this -> input ->  funpost("vid_id");
		$vid_titleval 	= $this -> input ->  funpost("vid_title");
		$sort_idval 	= $this -> input ->  funpost("sort_id");
		$vid_urlval 	= $this -> input ->  funpost("vid_url");
	    $vid_imgval 	= $this -> input ->  funpost("vid_img");
		$vid_palyerval 	= $this -> input ->  funpost("vid_palyer");
		$vid_descval 	= html_entity_decode($_POST["vid_desc"]);
		$vid_listval 	= $this -> input ->  funpost("vid_list");
		$vid_enabledval = $this -> input ->  funpost("vid_enabled");
		
		$act_type = $this -> input ->  req["act_type"];

		if($act_type=='edit')
		{

		
			if($vid_titleval !='' and $vid_urlval !='' and $vid_palyerval !=''  and $vid_idval !='')
			{
				$updatevideo = "UPDATE `".$this -> db -> prefix.$this -> master_act."` SET  vid_title = '".$vid_titleval."' ,  sort_id = '".$sort_idval."' ,vid_url = '".$vid_urlval."' , vid_img = '".$vid_imgval."' , vid_palyer = '".$vid_palyerval."', vid_desc = '".$vid_descval."', vid_list = '".$vid_listval."',vid_enabled = '".$vid_enabledval."'  WHERE  vid_id = '".$vid_idval."' ";
				
				$this -> db -> query_sql( $updatevideo );
				
				$this -> view ->  assign('info_title',$this->lang['edit_success']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
				$this -> view ->  display('suggestion.tpl');
	
		
			}else{
			
				$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
				$this -> view ->  assign('URL_TIME',URL_TIME);
				$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&id=".$vid_idval);
				$this -> view ->  display('suggestion.tpl');	
			}
		

		}else{
			
				if($vid_titleval !='' and $vid_urlval !='' and $vid_palyerval !='')
				{
					$sql_query = " SELECT count(1) as LNUM  FROM  ".$this -> db -> prefix."video  WHERE vid_title = '".$vid_titleval."' ORDER BY `vid_id` ";
					$info = $this -> db -> select_one($sql_query);
					
					if( $info["LNUM"] < 1 )
					{
						$vid_add_timeval = time();
						$insert_sql =" INSERT INTO `".$this -> db -> prefix."video` (`vid_title` , `sort_id` , `vid_url` ,  `vid_img` ,`vid_palyer` , `vid_desc` ,`vid_list` , `vid_enabled`,`vid_add_time` ) VALUES (  '$vid_titleval','$sort_idval', '$vid_urlval', '$vid_imgval','$vid_palyerval','$vid_descval',  '$vid_listval', '$vid_enabledval','$vid_add_timeval')";
						
						$this -> db -> query_sql($insert_sql);
						$this -> view ->  assign('info_title',$this->lang['add_success']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info_list");
						$this -> view ->  display('suggestion.tpl');	
					}else{
						
						$this -> view ->  assign('info_title',$this->lang['err_info_exist']);
						$this -> view ->  assign('URL_TIME',URL_TIME);
						$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
						$this -> view ->  display('suggestion.tpl');	
					}
					
				}else{
					
					$this -> view ->  assign('info_title',$this->lang['err_info_missing']);
					$this -> view ->  assign('URL_TIME',URL_TIME);
					$this -> view ->  assign('get_url',ADMIN_WEBURL."/index.php?load=".$this -> master_act."&act=info&act_type=add");
					$this -> view ->  display('suggestion.tpl');
				}
		}
		
	}
	


		
}